C     Last change:  DLA  19 Nov 2004    1:58 pm
      program AceQA
C
C     Prepare input files for batch AceQab.bat
C
C     Author: D. L. Aldama, IAEA Consultant
C     Date:   11/2004
C
        CHARACTER*60 endfnam, acefnam
        CHARACTER*6 za
        WRITE(*,*)
        WRITE(*,*)'  Entry  ACE file name: '
        READ(*,'(a60)')acefnam
        WRITE(*,*)'  Entry ENDF file name: '
        READ(*,'(a60)')endfnam
        OPEN(1,FILE=acefnam,STATUS='old',ERR=9000)
          READ(1,'(a6,16x,e12.0)',ERR=9000)za,tmev
        CLOSE(1)
        OPEN(1,FILE=endfnam,STATUS='old',ERR=9500)
        CLOSE(1)
        OPEN(2,FILE='LINEAR.INP')
          WRITE(2,'(i11,22x,i11)')1,1
          WRITE(2,'(a60)')endfnam
          WRITE(2,'(a9)')'ENDF6.LIN'
          WRITE(2,'(a6)')za
          WRITE(2,*)
          WRITE(2,*)
        CLOSE(2)
        OPEN(3,FILE='RECENT.INP')
          WRITE(3,'(i11,11x,i11)')1,1
          WRITE(3,'(a9)')'ENDF6.LIN'
          WRITE(3,'(a9)')'ENDF6.REC'
          WRITE(3,'(5x,a6)')za
          WRITE(3,*)
          WRITE(3,*)
        CLOSE(3)
        OPEN(4,FILE='SIGMA1.INP')
          WRITE(4,'(i11,11x,F11.1)')1,300.0*tmev/2.5852E-08
          WRITE(4,'(a9)')'ENDF6.REC'
          WRITE(4,'(a12)')'PP02ENDF.DAT'
          WRITE(4,'(5x,a6)')za
          WRITE(4,*)
          WRITE(4,*)
        CLOSE(4)
        OPEN(10,FILE='ACELST.INP')
          WRITE(10,'(a60)')acefnam
          WRITE(10,'(a10)')'ACELOG.LOG'
          WRITE(10,'(a12)')'ACE2ENDF.DAT'
        CLOSE(10)
        OPEN(11,FILE='COMPLOT.INP')
          WRITE(11,'(4F11.1,2I11,F4.1)')0.0,12.5,0.0,10.0,1,1,2.0
          WRITE(11,'(a12)')'PP02ENDF.DAT'
          WRITE(11,'(a12)')'ACE2ENDF.DAT'
          WRITE(11,'(6i11,i4)')1,0,1,0,4,1,1
          WRITE(11,'(1p2e11.4)')0.0001,1.05
          WRITE(11,'(a4)')'ENDF'
          WRITE(11,'(a3)')'ACE'
          WRITE(11,'(a6,i2,i3,11x,a6,i2,i3,11x,2i11)')
     &               za, 1, 1,    za,99,999,   0, 1
          WRITE(11,*)
          WRITE(11,*)
        CLOSE(11)
        STOP
 9000   WRITE(*,*)'  Fatal error accessing ACE file ',acefnam
        STOP
 9500   WRITE(*,*)'  Fatal error accesing ENDF file ',endfnam
        STOP
      end program
