C     Last change:  DLA  22 Nov 2004    9:33 pm
      program EvalQA
C
C     Prepare input files for batch EvalQab.bat
C
C     Author: D. L. Aldama, IAEA Consultant
C     Date:   11/2004
C
        CHARACTER*60 endfnam
        CHARACTER*6 tza, za
        WRITE(*,*)
        WRITE(*,*)'  Entry  ENDF file name: '
        READ(*,'(a60)')endfnam
        WRITE(*,*)'  Entry ZA number: '
        READ(*,'(a6)')tza
        WRITE(*,*)'  Entry Temperature: '
        READ(*,'(E12.0)')temp
        OPEN(1,FILE=endfnam,STATUS='old',ERR=9500)
        CLOSE(1)
        za=ADJUSTR(tza)
        OPEN(2,FILE='LINEAR.INP')
          WRITE(2,'(i11,22x,i11)')1,1
          WRITE(2,'(a60)')endfnam
          WRITE(2,'(a9)')'ENDF6.LIN'
          WRITE(2,'(a6)')za
          WRITE(2,*)
          WRITE(2,*)
        CLOSE(2)
        OPEN(3,FILE='RECENT.INP')
          WRITE(3,'(i11,11x,i11)')1,1
          WRITE(3,'(a9)')'ENDF6.LIN'
          WRITE(3,'(a9)')'ENDF6.REC'
          WRITE(3,'(5x,a6)')za
          WRITE(3,*)
          WRITE(3,*)
        CLOSE(3)
        OPEN(4,FILE='SIGMA1.INP')
          WRITE(4,'(i11,11x,F11.1)')1,temp
          WRITE(4,'(a9)')'ENDF6.REC'
          WRITE(4,'(a12)')'PP02ENDF.DAT'
          WRITE(4,'(5x,a6)')za
          WRITE(4,*)
          WRITE(4,*)
        CLOSE(4)
        OPEN(11,FILE='EVALPLOT.INP')
          WRITE(11,'(4F11.1,2I11,F4.1)')0.0,12.5,0.0,10.0,1,1,2.0
          WRITE(11,'(a12)')'PP02ENDF.DAT'
          WRITE(11,'(5i11,F11.4,i4)')1,0,1,0,0,-1.0,1
          WRITE(11,'(a6,i2,i3,11x,a6,i2,i3,11x,2i11)')
     &               za, 1, 1,    za,99,999
          WRITE(11,*)
        CLOSE(11)
        STOP
 9500   WRITE(*,*)'  Fatal error accesing ENDF file ',endfnam
        STOP
      end program
