@echo off
REM mxslsall: List information on a group of MATXS formatted files
REM
REM Usage: mxslsall [matxs1] [matxs2] ... [matxsn]
REM         matxs1 ... matxsn: MATXS formatted file names
REM         on subdirectory defined by matxsd.
REM         (without extension, *.mxs assumed).
REM         if matxs1 is blank, all the matxs files
REM         on the subdirectory defined by the environment variable
REM         matxsd are processed.
REM
REM By: D. Lopez Aldama, IAEA/NDS Consultant, Aug. 2005
REM
REM OS: WINDOWS/NT/2000/XP
REM
REM Used procedure: mxslst1.bat
REM
REM Setting environment
REM
    set matxsd=\aldama\ADS\matxs\
    set prog=\aldama\ADS\programs\
REM
REM Header
REM
   echo ***** MATXS formatted file information *****
   date/T
   time/T
REM
REM
REM
    if exist qainp.inp del qainp.inp
    if %1.==.    goto doall
    if %1.==all. goto doall
:while
    echo %1  >>qainp.inp
    shift
    if %1.==. goto exec
    goto while
:doall
    dir /B/ON %matxsd%*.MXS >qainp.inp
:exec
    for /F "delims=. " %%i in (qainp.inp) do call %prog%mxslst1 %matxsd%%%i.MXS
    if exist qainp.inp del qainp.inp
REM
REM Done
REM
:end
    set matxsd=
    set prog=
    echo.
    date/T
    time/T
    echo ***** Job ended *****
