@echo off
REM
REM mxslst1.bat %1
REM
REM GET MATXS formatted file information
REM
REM Usage: mxslst1 p1
REM        p1= MATXS formatted filename
REM
REM Author: D. L. Aldama, IAEA Consultant, Aug. 2005
REM Date: Aug. 2005
REM
REM OS: WINDOWS/NT/2000/XP
REM
REM Used codes: mxslst.exe
REM 
REM
   if %1.==. goto errusg
   set progd1=\aldama\ads\programs\
   for /F "delims=. " %%i in ("%1") do set fnqa=%%i
REM
REM  mxslst
REM
   if not exist %1 goto errinp
   echo Processing %1 ...
   echo %1  >mxs.inp
   %progd1%mxslst<mxs.inp >%fnqa%.TXT
   if exist mxs.inp del mxs.inp
   goto reset
REM
REM  Usage
REM
:errusg
   echo Usage: mxslst1 p1
   echo        p1= MATXS formatted filename
   goto end
REM
REM  Input data error
REM
:errinp
   echo Input file error
   if not exist %1 echo %1 file not found
REM
REM  Reset
REM
:reset
   set fnqa=
   set progd1=
REM
REM  End
REM
:end
